## obs-studio 22.0.2

=== plugins/enc-amf/CMakeLists.txt ===
# A Plugin that integrates the AMD AMF encoder into OBS Studio
# Copyright (C) 2016 - 2017 Michael Fabian Dirks
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

cmake_minimum_required(VERSION 3.1.0)
PROJECT(enc-amf VERSION 2.4.2)

################################################################################
# CMake / Compiler
################################################################################
configure_file(
	"${PROJECT_SOURCE_DIR}/ci/installer.in.iss"
	"${PROJECT_BINARY_DIR}/ci/installer.iss"
)

configure_file(
	"${PROJECT_SOURCE_DIR}/Include/Version.h.in"
	"${PROJECT_BINARY_DIR}/Include/Version.h"
)

# All Warnings, Extra Warnings, Pedantic
if(MSVC)
	# Force to always compile with W4
	if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
		string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
	else()
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
	endif()
	
	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
	# Update if necessary
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long -pedantic")
endif()

math(EXPR BITS "8*${CMAKE_SIZEOF_VOID_P}")

################################################################################
# Options
################################################################################
SET(AMF_SDK_DIR  "${PROJECT_SOURCE_DIR}/AMF/" CACHE PATH "AMD Advanced Media Framework SDK Directory")

IF(TARGET libobs)
	MESSAGE(STATUS "enc-amf: Using native obs-studio.")
	SET(OBS_NATIVE TRUE)
	OPTION(BUILD_AMD_ENCODER "Build AMD Encoder module" ON)
	
	if (NOT BUILD_AMD_ENCODER)
		message(STATUS "Not building AMD Encoder")
		return()
	endif()
ELSE()
	SET(OBS_NATIVE FALSE)
	SET(OBS_STUDIO_DIR "" CACHE PATH "OBS Studio Source/Package Directory")	
ENDIF()

################################################################################
# Dependencies
################################################################################

# AMF SDK
if(AMF_SDK_DIR STREQUAL "")
	message(STATUS "AMF_SDK_DIR not set! enc-amf plugin disabled.")
	return()
endif()

if(NOT EXISTS "${AMF_SDK_DIR}/amf/public/include/components/VideoEncoderVCE.h")
	message(STATUS "AMF_SDK_DIR invalid! enc-amf plugin disabled.")
	return()
endif()

# Detect OBS_STUDIO_DIR type
IF(NOT OBS_NATIVE)
	IF(EXISTS "${OBS_STUDIO_DIR}/libobs/obs-module.h")
		MESSAGE(STATUS "enc-amf: Using referenced obs-studio.")
		SET(OBS_PACKAGE FALSE)
		SET(obsPath "${OBS_STUDIO_DIR}")
		INCLUDE("${OBS_STUDIO_DIR}/cmake/external/Findlibobs.cmake")
	ELSEIF(EXISTS "${OBS_STUDIO_DIR}/cmake/LibObs/LibObsConfig.cmake")
		MESSAGE(STATUS "enc-amf: Using packaged obs-studio.")
		SET(OBS_PACKAGE TRUE)
		INCLUDE("${OBS_STUDIO_DIR}/cmake/LibObs/LibObsConfig.cmake")
	ELSE()
		MESSAGE("Failed to detect OBS_STUDIO_DIR type, verify that the following is path correct '${OBS_STUDIO_DIR}'.")
		return()
	ENDIF()
ENDIF()

################################################################################
# Code
################################################################################
SET(PROJECT_HEADERS
	"${PROJECT_SOURCE_DIR}/Include/amf.h"
	"${PROJECT_SOURCE_DIR}/Include/amf-capabilities.h"
	"${PROJECT_SOURCE_DIR}/Include/amf-encoder.h"
	"${PROJECT_SOURCE_DIR}/Include/amf-encoder-h264.h"
	"${PROJECT_SOURCE_DIR}/Include/enc-h264.h"
	"${PROJECT_SOURCE_DIR}/Include/amf-encoder-h265.h"
	"${PROJECT_SOURCE_DIR}/Include/enc-h265.h"
	"${PROJECT_SOURCE_DIR}/Include/api-base.h"
	"${PROJECT_SOURCE_DIR}/Include/api-host.h"
	"${PROJECT_SOURCE_DIR}/Include/api-opengl.h"
	"${PROJECT_SOURCE_DIR}/Include/utility.h"
	"${PROJECT_SOURCE_DIR}/Include/plugin.h"
	"${PROJECT_SOURCE_DIR}/Include/strings.h"
	"${PROJECT_BINARY_DIR}/Include/Version.h"
)
SET(PROJECT_SOURCES
	"${PROJECT_SOURCE_DIR}/Source/amf.cpp"
	"${PROJECT_SOURCE_DIR}/Source/amf-capabilities.cpp"
	"${PROJECT_SOURCE_DIR}/Source/amf-encoder.cpp"
	"${PROJECT_SOURCE_DIR}/Source/amf-encoder-h264.cpp"
	"${PROJECT_SOURCE_DIR}/Source/enc-h264.cpp"
	"${PROJECT_SOURCE_DIR}/Source/amf-encoder-h265.cpp"
	"${PROJECT_SOURCE_DIR}/Source/enc-h265.cpp"
	"${PROJECT_SOURCE_DIR}/Source/api-base.cpp"
	"${PROJECT_SOURCE_DIR}/Source/api-host.cpp"
	"${PROJECT_SOURCE_DIR}/Source/api-opengl.cpp"
	"${PROJECT_SOURCE_DIR}/Source/utility.cpp"
	"${PROJECT_SOURCE_DIR}/Source/plugin.cpp"
)
SET(PROJECT_DATA
	"${PROJECT_SOURCE_DIR}/Resources/locale/en-US.ini"
	"${PROJECT_SOURCE_DIR}/LICENSE"
	"${PROJECT_SOURCE_DIR}/AUTHORS"
)
SET(PROJECT_LIBRARIES
	version
	winmm
)

if (WIN32)
	# Windows Only
	LIST(APPEND PROJECT_HEADERS
		"Include/api-d3d9.h"
		"Include/api-d3d11.h"
	)
	LIST(APPEND PROJECT_SOURCES
		"Source/api-d3d9.cpp"
		"Source/api-d3d11.cpp"
	)
	
	# windows.h
	add_definitions(-DWIN32_LEAN_AND_MEAN)
	add_definitions(-DNOGPICAPMASKS)
	add_definitions(-DNOVIRTUALKEYCODES)
	#add_definitions(-DNOWINMESSAGES)
	add_definitions(-DNOWINSTYLES)
	add_definitions(-DNOSYSMETRICS)
	add_definitions(-DNOMENUS)
	add_definitions(-DNOICONS)
	add_definitions(-DNOKEYSTATES)
	add_definitions(-DNOSYSCOMMANDS)
	add_definitions(-DNORASTEROPS)
	add_definitions(-DNOSHOWWINDOW)
	add_definitions(-DNOATOM)
	add_definitions(-DNOCLIPBOARD)
	add_definitions(-DNOCOLOR)
	add_definitions(-DNOCTLMGR)
	add_definitions(-DNODRAWTEXT)
	#add_definitions(-DNOGDI)
	add_definitions(-DNOKERNEL)
	#add_definitions(-DNOUSER)
	#add_definitions(-DNONLS)
	add_definitions(-DNOMB)
	add_definitions(-DNOMEMMGR)
	add_definitions(-DNOMETAFILE)
	add_definitions(-DNOMINMAX)
	#add_definitions(-DNOMSG)
	add_definitions(-DNOOPENFILE)
	add_definitions(-DNOSCROLL)
	add_definitions(-DNOSERVICE)
	add_definitions(-DNOSOUND)
	#add_definitions(-DNOTEXTMETRIC)
	add_definitions(-DNOWH)
	add_definitions(-DNOWINOFFSETS)
	add_definitions(-DNOCOMM)
	add_definitions(-DNOKANJI)
	add_definitions(-DNOHELP)
	add_definitions(-DNOPROFILER)
	add_definitions(-DNODEFERWINDOWPOS)
	add_definitions(-DNOMCX)
	add_definitions(-DNOIME)
	add_definitions(-DNOMDI)
	add_definitions(-DNOINOUT)
endif()

# Source Grouping
source_group("Data Files" FILES ${enc-amf_DATA})

################################################################################
# Target
################################################################################

ADD_LIBRARY(enc-amf MODULE
	${PROJECT_HEADERS}
	${PROJECT_SOURCES}
	${PROJECT_DATA}
)

# Include Directories
TARGET_INCLUDE_DIRECTORIES(enc-amf
	PUBLIC
		"${PROJECT_BINARY_DIR}/Include"
		"${PROJECT_SOURCE_DIR}/Include"
		"${AMF_SDK_DIR}/amf/public/include"
	PRIVATE
		"${PROJECT_BINARY_DIR}/Source"
		"${PROJECT_SOURCE_DIR}/Source"
		"${PROJECT_BINARY_DIR}"
		"${PROJECT_SOURCE_DIR}"
		"${CMAKE_SOURCE_DIR}"
)
IF(OBS_NATIVE)
	TARGET_LINK_LIBRARIES(enc-amf
		libobs
	)
ELSEIF(OBS_PACKAGE)
	TARGET_INCLUDE_DIRECTORIES(enc-amf
		PRIVATE
			"${OBS_STUDIO_DIR}/include"
	)
	TARGET_LINK_LIBRARIES(enc-amf
		libobs
	)
ELSE()
	TARGET_INCLUDE_DIRECTORIES(enc-amf
		PRIVATE
			"${OBS_STUDIO_DIR}/libobs"
	)
	TARGET_LINK_LIBRARIES(enc-amf
		"${LIBOBS_LIB}"
	)
ENDIF()

# Link Libraries
TARGET_LINK_LIBRARIES(enc-amf
	"${PROJECT_LIBRARIES}"
)

################################################################################
# Installation
################################################################################

IF(OBS_NATIVE)
	install_obs_plugin_with_data(enc-amf Resources)
ELSE()
	INSTALL(TARGETS enc-amf
		RUNTIME DESTINATION "./obs-plugins/${BITS}bit/" COMPONENT Runtime
		LIBRARY DESTINATION "./obs-plugins/${BITS}bit/" COMPONENT Runtime
	)
	INSTALL(FILES $<TARGET_PDB_FILE:enc-amf> DESTINATION "./obs-plugins/${BITS}bit/" OPTIONAL)
	
	INSTALL(
		DIRECTORY "${PROJECT_SOURCE_DIR}/Resources/"
		DESTINATION "./data/obs-plugins/enc-amf/"
	)
ENDIF()

################################################################################
# Child Projects
################################################################################

# Sub Project
add_subdirectory(amf-test)

=== plugins/obs-browser/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(obs-browser)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}")
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

include_directories(SYSTEM "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
include_directories("${CMAKE_CURRENT_SOURCE_DIR}")
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/deps")

find_package(CEF QUIET)

if(NOT CEF_FOUND)
	message(STATUS "CEF Not found -- obs-browser plugin disabled.")
	return()
endif()

option(EXPERIMENTAL_SHARED_TEXTURE_SUPPORT_ENABLED "Enable shared texture support for the browser plugin (Win32)" ON)
option(BROWSER_PANEL_SUPPORT_ENABLED "Enables Qt web browser panel support" ON)

configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/browser-config.h.in"
	"${CMAKE_CURRENT_BINARY_DIR}/browser-config.h")

include_directories("${CMAKE_CURRENT_BINARY_DIR}")
include_directories("${CEF_ROOT_DIR}")

# ----------------------------------------------------------------------------

set(obs-browser_LIBRARIES
	libobs
	obs-frontend-api
	)

list(APPEND obs-browser_LIBRARIES
	${CEF_LIBRARIES})

if(MSVC)
	string(REPLACE "/MD" "/MT"
		"CMAKE_C_FLAGS"
		"${CMAKE_C_FLAGS}")

	string(REPLACE "/MD" "/MT"
		"CMAKE_CXX_FLAGS"
		"${CMAKE_CXX_FLAGS}")

	string(TOUPPER "${CMAKE_CONFIGURATION_TYPES}" UPPER_CONFIG_TYPES)
	foreach(CONFIG_TYPE ${UPPER_CONFIG_TYPES})
		string(REPLACE "/MD" "/MT"
			"CMAKE_C_FLAGS_${CONFIG_TYPE}"
			"${CMAKE_C_FLAGS_${CONFIG_TYPE}}")

		string(REPLACE "/MD" "/MT"
			"CMAKE_CXX_FLAGS_${CONFIG_TYPE}"
			"${CMAKE_CXX_FLAGS_${CONFIG_TYPE}}")
	endforeach()
	list(APPEND obs-browser_LIBRARIES
		d3d11
		dxgi
		)
endif()

set(obs-browser_SOURCES
	obs-browser-source.cpp
	obs-browser-plugin.cpp
	browser-scheme.cpp
	browser-client.cpp
	browser-app.cpp
	deps/json11/json11.cpp
	deps/base64/base64.cpp
	deps/wide-string.cpp
	)
set(obs-browser_HEADERS
	obs-browser-source.hpp
	browser-scheme.hpp
	browser-client.hpp
	browser-app.hpp
	browser-version.h
	deps/json11/json11.hpp
	deps/base64/base64.hpp
	deps/wide-string.hpp
	cef-headers.hpp
	)

# only allow browser panels on win32 for now -- other operating systems
# need more testing
if(WIN32 AND BROWSER_PANEL_SUPPORT_ENABLED)
	if(DEFINED QTDIR${_lib_suffix})
		list(APPEND CMAKE_PREFIX_PATH "${QTDIR${_lib_suffix}}")
	elseif(DEFINED QTDIR)
		list(APPEND CMAKE_PREFIX_PATH "${QTDIR}")
	elseif(DEFINED ENV{QTDIR${_lib_suffix}})
		list(APPEND CMAKE_PREFIX_PATH "$ENV{QTDIR${_lib_suffix}}")
	elseif(DEFINED ENV{QTDIR})
		list(APPEND CMAKE_PREFIX_PATH "$ENV{QTDIR}")
	endif()

	set(CMAKE_AUTOMOC TRUE)
	find_package(Qt5Widgets REQUIRED)

	list(APPEND obs-browser_SOURCES
		panel/browser-panel.cpp
		panel/browser-panel-client.cpp
		)
	list(APPEND obs-browser_HEADERS
		panel/browser-panel.hpp
		panel/browser-panel-client.hpp
		panel/browser-panel-internal.hpp
		)
	list(APPEND obs-browser_LIBRARIES
		Qt5::Widgets
		)
endif()

add_library(obs-browser MODULE
	${obs-browser_SOURCES}
	${obs-browser_HEADERS}
	)

target_link_libraries(obs-browser
	${obs-browser_LIBRARIES}
	)

# ----------------------------------------------------------------------------

set(obs-browser-page_SOURCES
	obs-browser-page/obs-browser-page-main.cpp
	browser-app.cpp
	deps/json11/json11.cpp
	)
set(obs-browser-page_HEADERS
	obs-browser-page/obs-browser-page-main.cpp
	browser-app.hpp
	deps/json11/json11.hpp
	cef-headers.hpp
	)

add_executable(obs-browser-page
	${obs-browser-page_SOURCES}
	${obs-browser-page_HEADERS}
	)
target_link_libraries(obs-browser-page
	${CEF_LIBRARIES}
	)

if (APPLE)
	set_target_properties(obs-browser-page PROPERTIES
		COMPILE_FLAGS "-mmacosx-version-min=10.8")
endif(APPLE)

if (WIN32)
	set_target_properties(obs-browser-page PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS")
endif(WIN32)

if (APPLE AND XCODE)
	set_xcode_property(obs-browser-page CLANG_CXX_LIBRARY "libc++")
endif(APPLE AND XCODE)

# ----------------------------------------------------------------------------

if (WIN32)
	math(EXPR BITS "8*${CMAKE_SIZEOF_VOID_P}")
	add_custom_command(TARGET obs-browser POST_BUILD
		COMMAND ${CMAKE_COMMAND} -E copy_directory
		"${CEF_ROOT_DIR}/Resources"
		"${CMAKE_BINARY_DIR}/rundir/$<CONFIGURATION>/obs-plugins/${BITS}bit/"
	)

	add_custom_command(TARGET obs-browser POST_BUILD
		COMMAND ${CMAKE_COMMAND} -E copy
		"${CEF_ROOT_DIR}/Release/chrome_elf.dll"
		"${CMAKE_BINARY_DIR}/rundir/$<CONFIGURATION>/obs-plugins/${BITS}bit/"
		COMMAND ${CMAKE_COMMAND} -E copy
		"${CEF_ROOT_DIR}/Release/libcef.dll"
		"${CMAKE_BINARY_DIR}/rundir/$<CONFIGURATION>/obs-plugins/${BITS}bit/"
		COMMAND ${CMAKE_COMMAND} -E copy
		"${CEF_ROOT_DIR}/Release/libEGL.dll"
		"${CMAKE_BINARY_DIR}/rundir/$<CONFIGURATION>/obs-plugins/${BITS}bit/"
		COMMAND ${CMAKE_COMMAND} -E copy
		"${CEF_ROOT_DIR}/Release/libGLESv2.dll"
		"${CMAKE_BINARY_DIR}/rundir/$<CONFIGURATION>/obs-plugins/${BITS}bit/"
		COMMAND ${CMAKE_COMMAND} -E copy
		"${CEF_ROOT_DIR}/Release/natives_blob.bin"
		"${CMAKE_BINARY_DIR}/rundir/$<CONFIGURATION>/obs-plugins/${BITS}bit/"
		COMMAND ${CMAKE_COMMAND} -E copy
		"${CEF_ROOT_DIR}/Release/snapshot_blob.bin"
		"${CMAKE_BINARY_DIR}/rundir/$<CONFIGURATION>/obs-plugins/${BITS}bit/"
		COMMAND ${CMAKE_COMMAND} -E copy
		"${CEF_ROOT_DIR}/Release/v8_context_snapshot.bin"
		"${CMAKE_BINARY_DIR}/rundir/$<CONFIGURATION>/obs-plugins/${BITS}bit/"
	)
endif()

install_obs_plugin_with_data(obs-browser data)
install_obs_plugin(obs-browser-page)

=== plugins/enc-amf/amf-test/CMakeLists.txt ===
# A Plugin that integrates the AMD AMF encoder into OBS Studio
# Copyright (C) 2016 - 2017 Michael Fabian Dirks
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

cmake_minimum_required(VERSION 3.1.0)
PROJECT(enc-amf-test)

################################################################################
# CMake / Compiler
################################################################################

# All Warnings, Extra Warnings, Pedantic
if(MSVC)
	# Force to always compile with W4
	if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
		string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
	else()
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
	endif()
	
	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
	# Update if necessary
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long -pedantic")
endif()

# Detect Architecture (Bitness)
math(EXPR BITS "8*${CMAKE_SIZEOF_VOID_P}")

add_definitions(-DLITE_OBS)

################################################################################
# Configuration
################################################################################

# From Parent:
#   OBS_STUDIO_DIR
#   OBS_NATIVE
#   OBS_PACKAGE
#   AMF_SDK_DIR

IF(WIN32)	
	# windows.h
	add_definitions(-DWIN32_LEAN_AND_MEAN)
	add_definitions(-DNOGPICAPMASKS)
	add_definitions(-DNOVIRTUALKEYCODES)
	#add_definitions(-DNOWINMESSAGES)
	add_definitions(-DNOWINSTYLES)
	add_definitions(-DNOSYSMETRICS)
	add_definitions(-DNOMENUS)
	add_definitions(-DNOICONS)
	add_definitions(-DNOKEYSTATES)
	add_definitions(-DNOSYSCOMMANDS)
	add_definitions(-DNORASTEROPS)
	add_definitions(-DNOSHOWWINDOW)
	add_definitions(-DNOATOM)
	add_definitions(-DNOCLIPBOARD)
	add_definitions(-DNOCOLOR)
	add_definitions(-DNOCTLMGR)
	add_definitions(-DNODRAWTEXT)
	#add_definitions(-DNOGDI)
	add_definitions(-DNOKERNEL)
	#add_definitions(-DNOUSER)
	#add_definitions(-DNONLS)
	add_definitions(-DNOMB)
	add_definitions(-DNOMEMMGR)
	add_definitions(-DNOMETAFILE)
	add_definitions(-DNOMINMAX)
	#add_definitions(-DNOMSG)
	add_definitions(-DNOOPENFILE)
	add_definitions(-DNOSCROLL)
	add_definitions(-DNOSERVICE)
	add_definitions(-DNOSOUND)
	#add_definitions(-DNOTEXTMETRIC)
	add_definitions(-DNOWH)
	add_definitions(-DNOWINOFFSETS)
	add_definitions(-DNOCOMM)
	add_definitions(-DNOKANJI)
	add_definitions(-DNOHELP)
	add_definitions(-DNOPROFILER)
	add_definitions(-DNODEFERWINDOWPOS)
	add_definitions(-DNOMCX)
	add_definitions(-DNOIME)
	add_definitions(-DNOMDI)
	add_definitions(-DNOINOUT)
ENDIF()


################################################################################
# Dependencies
################################################################################

# Project
add_executable(enc-amf-test
	"${PROJECT_SOURCE_DIR}/main.cpp"
	"${enc-amf_SOURCE_DIR}/Source/amf.cpp"
	"${enc-amf_SOURCE_DIR}/Source/amf-capabilities.cpp"
	"${enc-amf_SOURCE_DIR}/Source/amf-encoder.cpp"
	"${enc-amf_SOURCE_DIR}/Source/amf-encoder-h264.cpp"
	"${enc-amf_SOURCE_DIR}/Source/amf-encoder-h265.cpp"
	"${enc-amf_SOURCE_DIR}/Source/api-base.cpp"
	"${enc-amf_SOURCE_DIR}/Source/api-d3d9.cpp"
	"${enc-amf_SOURCE_DIR}/Source/api-d3d11.cpp"
	"${enc-amf_SOURCE_DIR}/Source/utility.cpp"
	"${enc-amf_SOURCE_DIR}/Include/amf.h"
	"${enc-amf_SOURCE_DIR}/Include/amf-capabilities.h"
	"${enc-amf_SOURCE_DIR}/Include/amf-encoder.h"
	"${enc-amf_SOURCE_DIR}/Include/amf-encoder-h264.h"
	"${enc-amf_SOURCE_DIR}/Include/amf-encoder-h265.h"
	"${enc-amf_SOURCE_DIR}/Include/api-base.h"
	"${enc-amf_SOURCE_DIR}/Include/api-d3d9.h"
	"${enc-amf_SOURCE_DIR}/Include/api-d3d11.h"
	"${enc-amf_SOURCE_DIR}/Include/utility.h"
)
target_include_directories(enc-amf-test
	PUBLIC 
		"${PROJECT_SOURCE_DIR}"
		"${enc-amf_SOURCE_DIR}/Include"
		"${enc-amf_BINARY_DIR}/Include"
		"${enc-amf_SOURCE_DIR}/Source"
		"${AMF_SDK_DIR}/amf/public/include"
)
IF(OBS_NATIVE)
	target_include_directories(enc-amf-test
		PUBLIC
	)
ELSEIF(OBS_PACKAGE)
	target_include_directories(enc-amf-test
		PUBLIC
	)
ELSE()
	target_include_directories(enc-amf-test
		PUBLIC
	)
ENDIF()

IF(WIN32)
	target_link_libraries(enc-amf-test
		version
		winmm
	)
ENDIF()

set_target_properties(enc-amf-test
	PROPERTIES
		OUTPUT_NAME "enc-amf-test${BITS}")

if(OBS_NATIVE)
	install_obs_datatarget(enc-amf-test "obs-plugins/enc-amf")
else()
	INSTALL(TARGETS enc-amf-test
		RUNTIME DESTINATION "./data/obs-plugins/enc-amf/" COMPONENT Runtime
		LIBRARY DESTINATION "./data/obs-plugins/enc-amf/" COMPONENT Runtime
	)
	INSTALL(FILES $<TARGET_PDB_FILE:enc-amf-test> DESTINATION "./data/obs-plugins/enc-amf/" OPTIONAL)	
endif()

=== debian/changelog ===
obs-studio (22.0.2-0obsproject1~bionic+pearl7.6) rolltide; urgency=medium

  * re versioning

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Sat, 08 Sep 2018 13:50:50 -0500

obs-studio (22.0.2-0obsproject1~bionic+pearl7) rolltide; urgency=medium

  * fixed duplicate file in other package error

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Sat, 08 Sep 2018 13:38:02 -0500

obs-studio (22.0.2-0obsproject1~bionic) bionic; urgency=low

  OBS Studio 22.0.2

  22.0.2 Hotfix

  * Fixed a bug where the program could sometimes mistakenly use a different server than the one selected
  * Fixed a bug where copying and pasting sources would not paste the transform
  * Fixed a bug where using a custom server with authentication would no longer work
  * Fixed a bug on macOS where the browser source would not update properly
  * Fixed a bug on macOS where leaving the browser source interaction window could cause a crash
  * Fixed a bug on macOS where the lock icons in the source list would disappear under the scrollbar if the scrollbar was visible
  * Fixed a case where the multiview could crash on certain Linux desktop environments
  * Fixed a potential crash on startup that could happen under rare circumstances
  * Fixed a few cases where the "Start Streaming" and/or "Stop Streaming" hotkeys could mysteriously disappear from the hotkeys section of the settings window
  * Fixed a bug where the filters window would show the preview very squished
  * Fixed a bug where the browser source sometimes wouldn't paint properly
  * The "Make projectors always on top" option now also properly applies to windowed projectors as well
  * When using Windows 7, the browser source's hardware acceleration is now disabled by default due to potential incompatibilities with older drivers
  * When using Intel video adapters with the program, the browser source's hardware acceleration is now disabled by default due to incompatibilities with many Intel integrated video adapters
  * Removed the "Beta" warning from the Auto-Configuration tool

  22.0.1 Hotfix

  * Fixed a bug where the browser source wouldn't read local files properly

  22.0 General Changes

  * Major improvements to the browser source:

  - Added hardware acceleration to the browser source on Windows for greatly improved performance, reduced resources, and allowing advanced rendering functionality such as WebGL.  This reduces CPU usage, reduces RAM usage, and even reduces GPU usage.  This option is enabled by default; it can be disabled in the advanced section of settings if needed if there are any unexpected issues.
  - Refactored the entire plugin and pruned approximately 13,000 lines of code (very satisfying for me in particular)
  - Updated to Chromium 68
  - The browser source now has accurate frame synchronization on Windows
  - Fixed all memory leaks of the browser source
  - Added the ability to use web browsers as widgets (which isn't currently exposed much, but will allow a lot more custom functionality later)

  * Added source grouping, allowing the ability to group multiple sources together as a single transformable group:

  - To add a group, you can either select a few sources and then right-click and choose "Group Selected Items", or you can create an empty group in the Add menu
  - You can seamlessly drag and drop items in and out of groups
  - You can ungroup a group without affecting the group in other scenes by right-clicking the group and choosing "Ungroup"
  - Groups show their list of sources as a sub-list within the main scene list, which can be collapsed and hidden if desired
  - Groups can be referenced (shared) between multiple scenes like any other source
  - Groups can have their own effect filters applied to them

  * Added the ability to set a custom background color to items within the source list to color-code them for improved organization:

  - To set the item's background color, right-click the source item within the source list, and go to "Set Color"
  - You can use a preset selection of colors within the menu, you can choose a custom color, or you can reset it to default

  * Added a "Vertical Layout" option to the mixer's right-click context menu to make the mixer display vertically rather than horizontally (#1257)
  * The multiview can now be configured to show up to 24 scenes at once in general settings if desired (#1260)
  * Added an option to audio settings to allow the user to change the audio meter type "Sample Peak" and "True Peak" #1189
  * Added secure streaming (RTMPS) support for services that support it, such as Facebook (#1360)
  * It is now possible to use more than one Intel QSV encoder at once (#1341)
  * It is now possible to use alt-cropping even on sources that are set to a bounding box transform.  This fixes the issue where, for example, alt-cropping would not work after you pressed Ctrl-F on a source.  Note that in that case, the rectangle's size will not change, but the contents will realign to the rectangle.  (01ac60c)
  * Windowed projectors are now saved and loaded on shutdown/startup (#1195)
  * Audio sources within the mixer now always displayed alphabetically (#1242)
  * Significantly reduced GPU usage when the program is idle (I.E. when the program is not streaming or recording) (45b5291)
  * Added a confirmation dialog when the user has not added video sources to any scenes, warning them that they are about to stream a blank screen.  This ensures that new users do not inadvertently stream without at least first adding some sources.  (310c98e)
  * The program will now default to the NVIDIA GPU when on laptops that have both NVIDIA and Intel integrated adapters.  This can still be overridden in the NVIDIA control panel if desired

  22.0 Bug Fixes

  * Fixed a bug where videos recorded with certain formats would report that they were 1000 FPS in their metadata when they actually weren't (1f592d1)


=== debian/control ===
Source: obs-studio
Section: video
Priority: optional
Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
Orig-Maintainer: John Bradley <jrb@turrettech.com>
Uploaders: Kevin Henkel <obs.goldace@gmail.com>
Build-Depends: debhelper (>= 9), cdbs, cmake, git, libx11-dev, libgl1-mesa-dev | libgl-dev, libpulse-dev, libxcomposite-dev, libxinerama-dev, libv4l-dev, libudev-dev, libfreetype6-dev, libfontconfig-dev, qtbase5-dev, libqt5x11extras5-dev, libx264-dev, libxcb-xinerama0-dev, libxcb-shm0-dev, libavformat-dev, libswscale-dev, libswresample-dev, libavdevice-dev, libavfilter-dev, libfdk-aac-dev, libjack-jackd2-dev, libcurl4-openssl-dev, libspeexdsp-dev, libvlc-dev, libasound2-dev, libluajit-5.1-dev, python3-dev, swig, libmbedtls-dev
Homepage: http://obsproject.org

Package: obs-studio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libobs0, libobs0:amd64, obs-plugins, obs-studio
Replaces: libobs0, libobs0:amd64, obs-plugins, obs-studio
Description: OBS Studio for Pearl
